Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class BasePostingsFormatTestCase

    java.lang.Object
      org.junit.Assert
          org.apache.lucene.util.LuceneTestCase
              org.apache.lucene.index.BasePostingsFormatTestCase

    public abstract class BasePostingsFormatTestCase

extends LuceneTestCase

Abstract class to do basic tests for a postings format. NOTE: This test focuses on the postings (docs/freqs/positions/payloads/offsets) impl, not the terms dict. The [stretch] goal is for this test to be so thorough in testing a new PostingsFormat that if this test passes, then all Lucene/Solr tests should also pass. Ie, if there is some bug in a given PostingsFormat that this test fails to catch then this test needs to be improved!

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.LuceneTestCase
`LuceneTestCase.AwaitsFix, LuceneTestCase.BadApple, LuceneTestCase.Nightly, LuceneTestCase.Slow, LuceneTestCase.SuppressCodecs, LuceneTestCase.Weekly`

Field Summary

Fields inherited from class org.apache.lucene.util.LuceneTestCase
`classRules, DEFAULT_LINE_DOCS_FILE, doesntSupportOffsets, INFOSTREAM, JENKINS_LARGE_LINE_DOCS_FILE, PREFLEX_IMPERSONATION_IS_ACTIVE, RANDOM_MULTIPLIER, ruleChain, suiteFailureMarker, SYSPROP_AWAITSFIX, SYSPROP_BADAPPLES, SYSPROP_NIGHTLY, SYSPROP_SLOW, SYSPROP_WEEKLY, TEMP_DIR, TEST_AWAITSFIX, TEST_CODEC, TEST_DIRECTORY, TEST_DOCVALUESFORMAT, TEST_LINE_DOCS_FILE, TEST_NIGHTLY, TEST_POSTINGSFORMAT, TEST_SLOW, TEST_THROTTLING, TEST_VERSION_CURRENT, TEST_WEEKLY, VERBOSE`

Constructor Summary
`BasePostingsFormatTestCase()`

Method Summary
`static void` | `afterClass()`
`static void` | `createPostings()`
`protected abstract Codec` | `getCodec()` Returns the Codec to run tests against
`void` | `testDocsAndFreqs()`
`void` | `testDocsAndFreqsAndPositions()`
`void` | `testDocsAndFreqsAndPositionsAndOffsets()`
`void` | `testDocsAndFreqsAndPositionsAndOffsetsAndPayloads()`
`void` | `testDocsAndFreqsAndPositionsAndPayloads()`
`void` | `testDocsOnly()`
`void` | `testRandom()`

Methods inherited from class org.apache.lucene.util.LuceneTestCase
`assertDeletedDocsEquals, assertDocsAndPositionsEnumEquals, assertDocsEnumEquals, assertDocsSkippingEquals, assertDocValuesEquals, assertDocValuesEquals, assertFieldInfosEquals, assertFieldsEquals, assertFieldStatisticsEquals, assertNormsEquals, assertPositionsSkippingEquals, assertReaderEquals, assertReaderStatisticsEquals, assertSaneFieldCaches, assertStoredFieldEquals, assertStoredFieldsEquals, assertTermsEnumEquals, assertTermsEquals, assertTermsStatisticsEquals, assertTermStatsEquals, assertTermVectorsEquals, asSet, assumeFalse, assumeNoException, assumeTrue, atLeast, atLeast, closeAfterSuite, closeAfterTest, defaultCodecSupportsDocValues, defaultCodecSupportsSortedSet, dumpArray, dumpIterator, getDataFile, getOnlySegmentReader, getTestClass, getTestName, isTestThread, localeForName, maybeWrapReader, newAlcoholicMergePolicy, newAlcoholicMergePolicy, newDirectory, newDirectory, newDirectory, newDirectory, newField, newField, newFSDirectory, newFSDirectory, newIndexWriterConfig, newIndexWriterConfig, newIOContext, newIOContext, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newMockDirectory, newMockDirectory, newMockFSDirectory, newSearcher, newSearcher, newStringField, newStringField, newTextField, newTextField, newTieredMergePolicy, newTieredMergePolicy, random, randomLocale, randomTimeZone, rarely, rarely, setUp, tearDown, usually, usually`

Methods inherited from class org.junit.Assert
`assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertThat, assertThat, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasePostingsFormatTestCase

    public BasePostingsFormatTestCase()

Method Detail

### getCodec

    protected abstract Codec getCodec()

  Returns the Codec to run tests against

### createPostings

    public static void createPostings()
                               throws IOException

  Throws:
    `IOException`

### afterClass

    public static void afterClass()
                           throws Exception

  Throws:
    `Exception`

### testDocsOnly

    public void testDocsOnly()
                      throws Exception

  Throws:
    `Exception`

### testDocsAndFreqs

    public void testDocsAndFreqs()
                          throws Exception

  Throws:
    `Exception`

### testDocsAndFreqsAndPositions

    public void testDocsAndFreqsAndPositions()
                                      throws Exception

  Throws:
    `Exception`

### testDocsAndFreqsAndPositionsAndPayloads

    public void testDocsAndFreqsAndPositionsAndPayloads()
                                                 throws Exception

  Throws:
    `Exception`

### testDocsAndFreqsAndPositionsAndOffsets

    public void testDocsAndFreqsAndPositionsAndOffsets()
                                                throws Exception

  Throws:
    `Exception`

### testDocsAndFreqsAndPositionsAndOffsetsAndPayloads

    public void testDocsAndFreqsAndPositionsAndOffsetsAndPayloads()
                                                           throws Exception

  Throws:
    `Exception`

### testRandom

    public void testRandom()
                    throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.